웰클라우드

  1. HOME
  2. wclinux
  3. WellCloud 리눅스 공지
WellCloud 리눅스 공지

[보안] OpenSSL 취약점 보안 업데이트 권고

페이지 정보

작성자 작성일23-03-09 17:10 조회673회 댓글0건

본문

□ 개요
o OpenSSL 프로젝트는 OpenSSL에서 발생하는 취약점을 해결한 보안 업데이트 발표
o 공격자는 해당 취약점을 악용하여 피해를 발생시킬 수 있으므로, 해당 제품을 사용하는 이용자들은 최신 버전으로 업데이트 권고

□ 설명 [1]
o OpenSSL에서 발생하는 Type Confusion 취약점 (CVE-2023-0286)
o OpenSSL의 RSA 복호화에서 Timing Oracle 인해 발생하는 Bleichenbacher 공격 취약점 (CVE-2022-4304)
o OpenSSL에서 버퍼 오버플로우로 인해 발생하는 서비스 거부 취약점 (CVE-2022-4203)
o OpenSSL에서 BIO_new_NDEF 함수 호출 시 발생하는 use-after-free 취약점 (CVE-2023-0215)
o OpenSSL에서 PEM_read_bio_ex 함수 호출 시 발생하는 double-free 취약점 (CVE-2022-4450)
o OpenSSL에서 d2i_PKCS7 함수 호출 시 발생하는 유효하지 않은 포인터 역참조 취약점 (CVE-2023-0216)
o OpenSSL에서 잘못된 형식의 DSA 공개키 유효성 검사 시 발생하는 널 포인터 역참조 취약점 (CVE-2023-0217)
o OpenSSL에서 PKCS7 서명 확인 시 발생하는 널 포인터 역참조 취약점 (CVE-2023-0401)
 
□ 영향을 받는 제품 및 해결 버전
 

제품명취약점 (CVE-ID)영향받는 버전해결 버전
OpenSSLCVE-2023-0286
CVE-2022-4304
CVE-2023-0215
3.03.0.8
1.1.11.1.1t
1.0.21.0.2zg
CVE-2022-4203
CVE-2023-0216
CVE-2023-0217
CVE-2023-0401
3.0.0 ~ 3.0.73.0.8
CVE-2022-44503.03.0.8
1.1.11.1.1t

※ 하단의 참고사이트를 확인하여 해결 버전으로 업데이트 수행 [2]
※ 버전 1.0.2zg 업그레이드 시 프리미엄 지원 고객만 해당
 
□ 기타 문의사항
o 한국인터넷진흥원 사이버민원센터: 국번없이 118

[참고사이트]
[1] https://www.openssl.org/news/secadv/20230207.txt
[2] https://www.openssl.org/source/

 




□ 작성 : 취약점분석팀 

댓글목록

등록된 댓글이 없습니다.

(주)웰클라우드 사업자등록번호 701-81-01708 대표자 정우영
ADDRESS
TEL 070-7931-0001 E-MAIL wy@wellcloud.kr
Copyright 2021 WELLCLOUD. All rights reserved.